# Method Image.Colortable()->spacefactors()

Method spacefactors

  ```object`` spacefactors(`int` `r`, `int` `g`, `int` `b`)`

Description

  Colortable tuning option, this sets the color space distance factors. This is used when comparing distances in the colorspace and comparing grey levels.

  Default factors are 3, 4 and 1; blue is much darker than green. Compare with Image.Image->grey().

Returns

  the object being called

Note

  This has no sanity check. Some functions may bug if the factors are to high - color reduction functions sums grey levels in the image, this could exceed maxint in the case of high factors. Negative values may also cause strange effects. *grin*